%global major 0
%define libname %mklibname XXX %{major}
%define devname %mklibname -d XXX
%global commit ef27e8b8ff189cfef409f2fb503ccfe445bcb1ec
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout .20200415git%{shortcommit}
%global debug_package %{nil}

Summary:	View GPU utilization of AMD/ATI Radeon devices
Name:		radeontop
Group:		System/Kernel and hardware
Version:	1.3
Release:	%mkrel 1
License:	GPLv3
URL:		https://github.com/clbr/%{name}

# wget https://github.com/clbr/radeontop/archive/v1.0/radeontop-1.0.tar.gz
#Source0:    %{url}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source0:	https://github.com/clbr/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.metainfo.xml

BuildRequires:	asciidoc gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(xcb)


%description
RadeonTop shows the utilization of your GPU, both in general and by blocks.
Supported cards are R600 and up.

%prep
%autosetup -n %{name}-%{version}

%build
# configure doesn't exist, but we need the exported CFLAGS and friends
%configure || :

%make_build PREFIX=%{_prefix} amdgpu=1 xcb=1 CC="gcc -g"

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib}   
%find_lang %{name}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE1} \
	%{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml

%check
# Validate Appstream metadata
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{name}.metainfo.xml

%files -f %{name}.lang
%doc README.md 
%license COPYING
%{_sbindir}/%{name}
# Workaround failure to build on /usr/lib64
%{_libdir}/lib%{name}_xcb.so
%{_mandir}/man1/%{name}.1*
#AppStream metadata
%{_metainfodir}/%{name}.metainfo.xml



%changelog
* Tue Dec 22 2020 luigiwalser <luigiwalser> 1.3-1.mga8
+ Revision: 1662914
- 1.3

* Sat Feb 15 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1527697
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jul 23 2019 tv <tv> 1.2-2.mga8
+ Revision: 1423592
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1300767
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 tv <tv> 1.1-1.mga7
+ Revision: 1213805
- imported package radeontop


* Sat Mar 31 2018 Thierry Vignaud <tv@mageia.org> 1.1-1.mga7
- import from FC

* Sat Aug 05 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0-5
- Add metainfo file

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 19 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0-1
- Update to upstream 1.0

* Fri Nov 18 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 0.9-5.20161118gitc0abadf
- Latest git snapshot

* Thu Aug 25 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 0.9-4.20160825git6fb1c5c
- Latest git snapshot
- Added libxcb dependency

* Wed Jul 20 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 0.9-3.20160704gitbb3ed18
- Latest git snapshot

* Fri May 27 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 0.9-2.20160527git2047d13
- Fix Changelog in prescribed format.
- Remove obsolete Group field from spec

* Fri May 27 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 0.9-1.20160527git2047d13
- Update to upstream 0.9

* Sun Feb 15 2015 Fabian Deutsch <fabiand@fedoraproject.org> - 0.8-1.20150215git281462c
- Update to upstream 0.8

* Thu Apr 24 2014 Fabian Deutsch <fabiand@fedoraproject.org> - 0.7-2.20140421giteadc100
- Fix commit position, BuildRequirements, build, and man page inclusion (thanks mschwendt)

* Mon Apr 21 2014 Fabian Deutsch <fabiand@fedoraproject.org> - 0.7-1.20140421giteadc100
- Initial package

